cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/offices/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/offices/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/offices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4",
"name": "HQ Office",
"address": {
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "San Francisco",
"province": "California",
"postalCode": "94105",
"countryCode": "US",
"phoneNumber": "+15551234567"
},
"active": true,
"contactName": "Jane Doe"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Offices
Get office
Returns full details for a single office belonging to the caller’s organization.
GET
https://apipub.firstbasehq.com
/
api
/
v1
/
offices
/
{id}
cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/offices/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/offices/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/offices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4",
"name": "HQ Office",
"address": {
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "San Francisco",
"province": "California",
"postalCode": "94105",
"countryCode": "US",
"phoneNumber": "+15551234567"
},
"active": true,
"contactName": "Jane Doe"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Response
The requested office
An office location belonging to the organization